Oitava do PPA com pacotes não é possível -- 16.04 campo com package-management campo com ppa campo com octave camp askubuntu Relacionado O problema

octave from ppa with packages not possible


1
vote

problema

português

Eu instalei oitava usando o PPA, mas agora todos os pacotes de oitava (por exemplo, otim) têm dependências quebradas.

Eu continuei da seguinte maneira:

  $ sudo add-apt-repository ppa:octave/stable $ sudo apt-get update $ sudo apt-get install octave    

Se eu agora tentar instalar qualquer pacote de oitava, recebo o seguinte erro:

  $ sudo apt-get install octave-optim [...] The following packages have unmet dependencies: octave-optim : Depends: liboctave3 but it is not going to be installed E: Unable to correct problems, you have held broken packages.    

Eu não posso resolver isso, instalando o liboctave3, uma vez que este pacote colide com oitava da PPA:

  $ sudo apt-get install liboctave3 [...] The following packages will be REMOVED:   octave The following NEW packages will be installed:   liboctave3    

Alguma ideia de como resolver isso?

english

I installed octave using ppa, but now all octave packages (e.g. optim) have broken dependencies.

I proceeded in the following way:

$ sudo add-apt-repository ppa:octave/stable $ sudo apt-get update $ sudo apt-get install octave 

If I now try to install any octave package I get the following error:

$ sudo apt-get install octave-optim [...] The following packages have unmet dependencies: octave-optim : Depends: liboctave3 but it is not going to be installed E: Unable to correct problems, you have held broken packages. 

I can not solve this by installing liboctave3, since this package collides with octave from ppa:

$ sudo apt-get install liboctave3 [...] The following packages will be REMOVED:   octave The following NEW packages will be installed:   liboctave3 

Any idea how to solve that?

           
     
     

Lista de respostas

1
 
vote

o PPA abcdefghijklmnAbcdefghijklmn8 < / a> Não contenha pacotes chamados liboctave3 e brw-rw----+ 1 root disk 11, 0 2015-01-23 07:37 /dev/sr0 0 . Então o comportamento é esperado.

Eu vejo as seguintes possíveis soluções:

  • Não instale abcdefghijklmnbrw-rw----+ 1 root disk 11, 0 2015-01-23 07:37 /dev/sr0 1 pacote, mas use oitava do PPA mencionado e instale brw-rw----+ 1 root disk 11, 0 2015-01-23 07:37 /dev/sr0 2 pacote da forja Com os seguintes comandos no Terminal

      brw-rw----+ 1 root disk 11, 0 2015-01-23 07:37 /dev/sr0 3   

    e dentro do shell de oitava

      brw-rw----+ 1 root disk 11, 0 2015-01-23 07:37 /dev/sr0 4   
  • purge o PPA e instalar o Octave 4.0 do Ubuntu Universo Repositórios e instalar pacotes necessários:

      brw-rw----+ 1 root disk 11, 0 2015-01-23 07:37 /dev/sr0 5   
 

The PPA ppa:octave/stable do not contain packages named liboctave3 and octave-optim. So the behavior is expected.

I see the following possible solutions:

  • do not install liboctave3 package, but use Octave from mentioned PPA and install optim package from forge with the following commands in terminal

    sudo apt-get install liboctave-dev 

    and inside Octave shell

    pkg install -forge struct pkg install -forge io pkg install -forge statistics pkg install -forge optim 
  • purge the PPA and install Octave 4.0 from Ubuntu universe repositories and install needed packages:

    sudo ppa-purge ppa:octave/stable sudo add-apt-repository universe sudo apt-get install liboctave3 octave-optim 
 
 

Perguntas relacionadas

8  Como instalar a itava mais recente  ( How to install the latest octave ) 
Eu quero instalar oitava no meu Ubuntu Lts com apt-get . O problema é que os repositórios oficiais listam apenas oitava 3.0 e o Oitava 3.2, enquanto a mais r...

1  Janela de comando GNU Octave não funciona  ( Gnu octave command window not working ) 
Eu instalei o Oitava GNU há alguns dias atrás. Até hoje, estava funcionando bem. Mas hoje, sua janela de comando não está funcionando, às vezes torna o progra...

1  Como usar o GNU Optava com Intel MKL dos repositórios do Ubuntu, para computação científica mais rápida?  ( How to use gnu octave with intel mkl from ubuntu repositories for faster scient ) 
Intel Math Kernel Library é uma biblioteca BLAS, que está disponível em Repositórios Ubuntu do Ubuntu 19.10 em diante e é relatado para dar resultados muito...

18  Instalando a última versão do GNU Optava quando eu já instalei outra versão  ( Installing latest version of gnu octave when i have already installed other vers ) 
Eu instalei o Optave GNU usando apt-get install octave . Esta versão instalada 4.0.3 na minha máquina. Eu quero instalar a versão mais recente disponível....

3  Oitava 4.2.1 e Intel MKL  ( Octave 4 2 1 and intel mkl ) 
Eu tenho compilado Octave 4.2.1 de fontes sem erro. Existe alguma maneira de fazê-lo usar a Biblioteca de Kernel da Intel Math? Eu o instalei no opt Intel...

0  Instalando Octaave3.4 no Ubuntu 10.04  ( Installing octave3 4 on ubuntu 10 04 ) 
Eu tento instalar o OCATVE 3.4 no Ubuntu 10.04 para poder trabalhar no Eclipse. Eu segui o link como instalar a ida oitava Eu tenho uma saída: ~$ sudo ap...

7  Instalando o pacote simbólico na oitava  ( Installing symbolic package in octave ) 
Eu instalei oitava com os seguintes comandos: sudo add-apt-repository ppa:picaso/octave sudo apt-get install octave Então, da Oitava, usei o seguinte c...

0  Instalação de oitava após purgar a instalação anterior  ( Octave installation after purging previous installation ) 
Eu instalei a versão Octave 4.0.3 e por algum motivo a janela de comando não mostrou nenhum texto. Eu não sei porque decidi limpar a instalação e começar tudo...

11  Quando o Oitava 3.6.1 estará disponível para ser instalado?  ( When will octave 3 6 1 be available to be installed ) 
Neste ponto, Octave 3.2 é a versão disponível para instalação diretamente no Ubuntu 12.04. Mas a oitava estável mais recente é 3.6.1 agora. vai oitava 3.6.1...

1  Como usar o gnu oitava em vez de minitab  ( How to use gnu octave instead of minitab ) 
Como estudante universitário, temos que resolver alguns problemas e atividades de classe usando um aplicativo do Windows chamado Minitab, enquanto eu não uso ...




© 2022 pergunte.org All Rights Reserved. Casa de perguntas e respostas todos os direitos reservados


Licensed under cc by-sa 3.0 with attribution required.